com.dlsc.flexgantt.swing

## Class NavigationControlPanel

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - com.dlsc.flexgantt.swing.GanttChartControl
          - - com.dlsc.flexgantt.swing.NavigationControlPanel

- All Implemented Interfaces:
    IBookmarkModelListener, ImageObserver, LayoutManager, MenuContainer, PropertyChangeListener, Serializable, EventListener, Accessible

      public class NavigationControlPanel
      extends GanttChartControl
      implements IBookmarkModelListener, LayoutManager

  The navigation control allows the user to zoom in, zoom out, jump to the time 'now'
  Since:
    1.0
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JComponent

      `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NavigationControlPanel(LayerContainer lc)` Constructs a new navigation control for the given layer container.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLayoutComponent(String name, Component comp)`
    `void` | `bookmarksChanged(BookmarkEvent evt)` Listener callback method that will be invoked after the bookmark model was changed.
    `LayerContainer` | `getLayerContainer()`
    `NavigationControl` | `getNavigationControl(NavigationControlType type)` Returns the control used to perform the given type of navigation.
    `boolean` | `isCenterTimeNow()` Determines whether the time now will be shown centered on the screen or flushed to the left edge of the visible area of the Gantt chart.
    `void` | `layoutContainer(Container parent)`
    `Dimension` | `minimumLayoutSize(Container parent)`
    `Dimension` | `preferredLayoutSize(Container parent)`
    `void` | `propertyChange(PropertyChangeEvent evt)`
    `void` | `removeLayoutComponent(Component comp)`
    `void` | `setCenterTimeNow(boolean center)` Determines whether the time now will be shown centered on the screen or flushed to the left edge of the visible area of the Gantt chart.
    `void` | `setSpreadsheetVisible(boolean visible)` Informs the navigation control panel whether the user is currently looking at a spreadsheet or not.

    - ### Methods inherited from class com.dlsc.flexgantt.swing.GanttChartControl

      `getGanttChart, print, printBorder`

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, printAll, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NavigationControlPanel

          public NavigationControlPanel(LayerContainer lc)

      Constructs a new navigation control for the given layer container.
      Parameters:
        `lc` - the parent layer container
      Since:
        1.0

  - ### Method Detail

    - #### bookmarksChanged

          public void bookmarksChanged(BookmarkEvent evt)

      Description copied from interface: `IBookmarkModelListener`
      Listener callback method that will be invoked after the bookmark model was changed.
      Specified by:
        `bookmarksChanged` in interface `IBookmarkModelListener`
      Parameters:
        `evt` - an event object that informs the listeners about the change that has happened

    - #### isCenterTimeNow

          public boolean isCenterTimeNow()

      Determines whether the time now will be shown centered on the screen or flushed to the left edge of the visible area of the Gantt chart.
      Returns:
        TRUE if the time now will be shown centered
      Since:
        1.0

    - #### setCenterTimeNow

          public void setCenterTimeNow(boolean center)

      Determines whether the time now will be shown centered on the screen or flushed to the left edge of the visible area of the Gantt chart.
      Parameters:
        `center` - if TRUE the time now line will be shown centered
      Since:
        1.0

    - #### getNavigationControl

          public NavigationControl getNavigationControl(NavigationControlType type)

      Returns the control used to perform the given type of navigation.
      Parameters:
        `type` - the navigation type
      Returns:
        the navigation control for the given navigation type
      Since:
        1.0

    - #### getLayerContainer

          public LayerContainer getLayerContainer()

      Returns:
        the layerContainer
      Since:
        1.0

    - #### propertyChange

          public void propertyChange(PropertyChangeEvent evt)

      Specified by:
        `propertyChange` in interface `PropertyChangeListener`
      Overrides:
        `propertyChange` in class `GanttChartControl`

    - #### setSpreadsheetVisible

          public void setSpreadsheetVisible(boolean visible)

      Informs the navigation control panel whether the user is currently looking at a spreadsheet or not. Some of the navigation controls might not be applicable when working with a spreadsheet (e.g. changing the time granularity).
      Parameters:
        `visible` - if TRUE the user is working with spreadsheets
      Since:
        2.1

    - #### addLayoutComponent

          public void addLayoutComponent(String name,
                                         Component comp)

      Specified by:
        `addLayoutComponent` in interface `LayoutManager`

    - #### layoutContainer

          public void layoutContainer(Container parent)

      Specified by:
        `layoutContainer` in interface `LayoutManager`

    - #### minimumLayoutSize

          public Dimension minimumLayoutSize(Container parent)

      Specified by:
        `minimumLayoutSize` in interface `LayoutManager`

    - #### preferredLayoutSize

          public Dimension preferredLayoutSize(Container parent)

      Specified by:
        `preferredLayoutSize` in interface `LayoutManager`

    - #### removeLayoutComponent

          public void removeLayoutComponent(Component comp)

      Specified by:
        `removeLayoutComponent` in interface `LayoutManager`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.